﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication394
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            foreach (var row in ultraGrid1.Rows)
            {
                switch (int.Parse(_txtAdjustment.Value.ToString()))
                {
                    case 0:
                        row.Cells["Desc"].Value = "s0";
                        break;
                    case 1:
                        row.Cells["Desc"].SetValue(String.Format("{0}{1}", "Light ", "s2"), false);
                        break;
                }
            }
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            if (!e.Layout.Bands[0].Columns.Exists("Desc"))
            {
                e.Layout.Bands[0].Columns.Add("Desc");
            }

            foreach (var col in e.Layout.Bands[0].Columns)
            {
                switch (col.Key)
                {
                    case @"Desc":
                        col.Header.Caption = "Description";
                        col.Header.VisiblePosition = 0;
                        col.DataType = Type.GetType("System.String");
                        col.DefaultCellValue = "";
                        break;

                    //case PoSModifierItem.UnitCostField:
                    //    col.Header.Caption = "Price";
                    //    col.Format = "c";
                    //    col.Header.VisiblePosition = 1;
                    //    break;

                    default:
                        col.Hidden = true;
                        break;
                }
            }
        }
    }
}
